> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/notifications/notifications.md).

# Notifications

## Get notifications for the current recipient.

> Retrieves a paginated list of notifications for the current recipient.

```json
{"openapi":"3.0.4","info":{"title":"Notifications API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.NotificationService.Models.NotificationReadModel":{"required":["dateAdded","isRead","message","objectIdentifier","title","type"],"type":"object","properties":{"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"isRead":{"type":"boolean"},"title":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"resourceIdentifiers":{"type":"object","additionalProperties":{"type":"string"},"nullable":true}},"additionalProperties":false}}},"paths":{"/notifications":{"get":{"tags":["Notifications"],"summary":"Get notifications for the current recipient.","description":"Retrieves a paginated list of notifications for the current recipient.","parameters":[{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.NotificationService.Models.NotificationReadModel"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.NotificationService.Models.NotificationReadModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.NotificationService.Models.NotificationReadModel"}}}}},"403":{"description":"Forbidden"}}}}}}
```

## Delete a notification.

> Deletes a notification using its object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Notifications API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/notifications/{objectIdentifier}":{"delete":{"tags":["Notifications"],"summary":"Delete a notification.","description":"Deletes a notification using its object identifier.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}}}}
```

## Update the read status of a notification.

> Updates the read status of a notification for the current recipient.

```json
{"openapi":"3.0.4","info":{"title":"Notifications API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.NotificationService.Models.UpdateReadStatus":{"type":"object","properties":{"isRead":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/notifications/{objectIdentifier}":{"patch":{"tags":["Notifications"],"summary":"Update the read status of a notification.","description":"Updates the read status of a notification for the current recipient.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.NotificationService.Models.UpdateReadStatus"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.NotificationService.Models.UpdateReadStatus"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.NotificationService.Models.UpdateReadStatus"}}}},"responses":{"204":{"description":"No Content"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}}}}
```

## Mark all notifications as read.

> Marks all notifications as read for the current recipient.

```json
{"openapi":"3.0.4","info":{"title":"Notifications API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/notifications/read-all":{"post":{"tags":["Notifications"],"summary":"Mark all notifications as read.","description":"Marks all notifications as read for the current recipient.","responses":{"200":{"description":"OK"},"403":{"description":"Forbidden"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.jylo.ai/api-reference/notifications/notifications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
